package sun.java2d.pipe;

import sun.java2d.SunGraphics2D;

public interface PixelDrawPipe
{
    public abstract void drawLine(SunGraphics2D p0, int p1, int p2, int p3, int p4);
    
    public abstract void drawRect(SunGraphics2D p0, int p1, int p2, int p3, int p4);
    
    public abstract void drawRoundRect(SunGraphics2D p0, int p1, int p2, int p3, int p4, int p5, int p6);
    
    public abstract void drawOval(SunGraphics2D p0, int p1, int p2, int p3, int p4);
    
    public abstract void drawArc(SunGraphics2D p0, int p1, int p2, int p3, int p4, int p5, int p6);
    
    public abstract void drawPolyline(SunGraphics2D p0, int[] p1, int[] p2, int p3);
    
    public abstract void drawPolygon(SunGraphics2D p0, int[] p1, int[] p2, int p3);
}
